#!/usr/bin/perl -w

use strict;

my $sendmail = '/usr/lib/sendmail -oi -t';
my $update = '/usr/bin/zypper -n lu 2>/dev/null';
my $hostname = `uname -n`;

open (UPDATE, "$update|")
	or die "Unable to run $update: !$\n";

my @out;
my $send = 1;
while (<UPDATE>) {
	$send = 0 if /No updates found/;
	push (@out, $_);
}
close (UPDATE);

exit 0 unless scalar @out;
exit 0 unless $send;

open (MAIL, "|$sendmail") or die "Unable to run $sendmail: $!\n";
print MAIL <<EOF;
To: root
Subject: $update for $hostname

@out
EOF
close (MAIL);

exit 0;
